<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Contracts;

interface EventInterface
{
    public function name(): string;
    public function occurredAt(): string;
    public function payload(): array;
    public function metadata(): array;
}
